### Method

# Pango FontDescription set_weight

#### Declaration [src]

    void
    pango_font_description_set_weight (
      PangoFontDescription* desc,
      PangoWeight weight
    )

#### Description [src]

Sets the weight field of a font description.

The weight field specifies how bold or light the font should be. In addition to the values of the `PangoWeight` enumeration, other intermediate numeric values are possible.

#### Parameters

`weight`

  Type: `PangoWeight`

  The weight for the font description.